#! /bin/bash
#
# Installasjonsskript for Buypass smartkortbiblioteker på linux
#
# Versjon 1.0.0
# Buypass
# www.buypass.no
#


# Sjekk om bruker har root tilgang
if [ `id -u` -ne 0 ]; then
  echo Du må kjøre installasjonsskriptet som root.
  exit
fi

echo Kopierer bibliotek
cp -uf libJniPcsc5.so /usr/local/lib
cp -uf libJniPcsc5.so /usr/lib

if [ ! -e /etc/ld.so.conf ]; then
  touch /etc/ld.so.conf
fi

if [ `grep -c /usr/local/lib /etc/ld.so.conf` -eq 0 ]; then
  echo Legger til /usr/local/lib i /etc/ld.so.conf
  echo /usr/local/lib >> /etc/ld.so.conf
fi

echo Oppdaterer oversikt over delte biblioteker.
/sbin/ldconfig

echo Finner jre installasjoner. Dette kan ta noe tid.
dirs=( $(find / -name sunpkcs11.jar 2> /dev/null | sed s/sunpkcs11.jar// ) )
if [ ${#dirs[@]} -lt 1 ]; then
  echo For å få tilgang til Buypass tjenester kreves det at java er installert og aktivert i nettleseren.
  exit 1
fi
#echo Fant ${#dirs[@]} forekomster
for element in $(seq 0 $((${#dirs[@]} - 1)))
  do
  echo Legger jnipcsc5.jar og libJniPcsc5.so i ${dirs[$element]}
  cp -uf jnipcsc5.jar ${dirs[$element]}.
  # Opera må ha filen under i lib/ext fordi den ikke leter i ld_library_path
  cp -uf libJniPcsc5.so ${dirs[$element]}.
done

#Fikser bug i pcsc oppsettet
if [ ! -e /sbin/pcscd ]; then
  ln -s /usr/sbin/pcscd /sbin/pcscd
fi

echo Ferdig.

